PWIZ(1)

NAME
pwiz - peewee model generator

SYNOPSIS
pwiz [options] database_name

OPTIONS

-h, --help
    show this help message and exit

-H HOST, --host=HOST

-p PORT, --port=PORT

-u USER, --user=USER

-P, --password

-e ENGINE, --engine=ENGINE
    Database type, e.g. sqlite, mysql, postgresql or cockroachdb. Default is "postgresql".

-s SCHEMA, --schema=SCHEMA

-t TABLES, --tables=TABLES
    Only generate the specified tables. Multiple table names should be separated by commas.

-v, --views
    Generate model classes for VIEWs in addition to tables.

-i, --info
    Add database information and other metadata to top of the generated file.

-o, --preserve-order
    Model definition column ordering matches source table.

-I, --ignore-unknown
    Ignore fields whose type cannot be determined.

-L, --legacy-naming
    Use legacy table- and column-name generation.